# std::tr1::reference_wrapper< _Tp > Class Template Reference

Inheritance diagram for std::tr1::reference_wrapper< _Tp >:

List of all members.

## Detailed Description

### template<typename _Tp>
class std::tr1::reference_wrapper< _Tp >

Definition at line 335 of file tr1/functional.

## Public Types

- typedef _Tp type

## Public Member Functions

- _Tp & get () const
- operator _Tp & () const
- reference_wrapper & operator= (const reference_wrapper< _Tp > &__inref)
- reference_wrapper (const reference_wrapper< _Tp > &__inref)
- reference_wrapper (_Tp &__indata)

The documentation for this class was generated from the following file:

- tr1/functional